module MolecularDynamicsFiles

using LinearAlgebra
using StaticArrays
using DataFrames
using CSV
using GZip

export MDFrame
export timestep
export id_tags
export particle_types
export mol_tags
export positions
export velocities
export boxvectors
export boxorigin
export pbc
export extra_scalars

export MDTrajectory

include("formats.jl")

include("mdfilestream.jl")
include("table.jl")
include("fileparsingerror.jl")

include("simulationbox.jl")
include("mdframe.jl")
include("mdtrajectory.jl")

include("formats/lammpsdump.jl")

end # module MolecularDynamicsFiles
