struct FileParsingError <: Exception
    filename::String
    linenumber::Int
    causemsg::String
end

Base.showerror(io::IO, e::FileParsingError) = print(io, "Parsing $(e.filename) failed at line $(e.linenumber): $(e.causemsg)")

unexpected_eof(stream::MDFileStream) = FileParsingError(stream, "Unexpected EOF")

FileParsingError(stream::MDFileStream, causemsg::String) = FileParsingError(filename(stream), linenumber(stream), causemsg)

FileParsingError(stream::MDFileStream, linenumber::Int, causemsg::String) = FileParsingError(filename(stream), linenumber, causemsg)

